# Class MaxAllowedPacketException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.mariadb.jdbc.internal.util.exceptions.MaxAllowedPacketException

All Implemented Interfaces:
  `Serializable`

public class MaxAllowedPacketException extends IOException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MaxAllowedPacketException(String message, boolean mustReconnect)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isMustReconnect()`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MaxAllowedPacketException

public MaxAllowedPacketException(String message, boolean mustReconnect)

## Method Details

### isMustReconnect

public boolean isMustReconnect()